org.python.modules

## Class errno

- java.lang.Object
- - org.python.modules.errno

All Implemented Interfaces:
  ClassDictInit

    public class errno
    extends java.lang.Object
    implements ClassDictInit

The Python errno module. Errno constants can be accessed from Java code via `Errno`, e.g. Errno.ENOENT.

### Field Summary

Fields
`static PyString` `__doc__`
`static PyObject` `errorcode` Reverse mapping of codes to names.

### Constructor Summary

Constructors
Constructor and Description
`errno()`

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static void` `classDictInit(PyObject dict)`
`static PyObject` `strerror(PyObject code)` Deprecated. Use jnr.constants.platform.Errno.valueOf(code).toString() (or os.strerror from Python) instead.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### __doc__

    public static final PyString __doc__

#### errorcode

    public static final PyObject errorcode

Reverse mapping of codes to names.

### Constructor Detail

#### errno

    public errno()

### Method Detail

#### classDictInit

    public static void classDictInit(PyObject dict)

#### strerror

    @Deprecated
    public static PyObject strerror(PyObject code)

Deprecated. Use jnr.constants.platform.Errno.valueOf(code).toString() (or os.strerror from Python) instead.